function validaCampos(campos)
{
    var strCampos = campos;
    var field = null;
    campos = new Array();
    campos = strCampos.split(',');
    var errors = [];
    var feedback = true;

    for (i = 0; i < campos.length; i++) {
        id = campos[i];
        field = document.getElementById(campos[i]);
        type = field.type;

        if (type.indexOf("textarea") > -1) {
            if ($('#'+campos[i]).hasClass("ckeditor") == true) {
                if (CKEDITOR.instances[campos[i]].getData() === '') {
                    if ( ! $('#'+campos[i]).hasClass("erroCampo")) {
                        $('#'+campos[i]).next('div').addClass("erroCampo");
                    }
                    errors += campos[i];
                    feedback = false;
                }
            } else {
                if ($('#'+campos[i]).val() == "" || $('#'+campos[i]).val() == 0) {
                    $('#'+campos[i]).addClass("erroCampo");
                    errors += campos[i];
                    feedback = false;
                }
            }
        } else if (type.indexOf("select") > -1) {
            if (field.value == "" || field.value == 0) {
                if ( ! $('#'+campos[i]).hasClass("erroCampo")) {
                    $('#'+campos[i]).next('a').addClass("erroCampo");
                }
                errors += campos[i];
                feedback = false;
            }
        } else if (type.indexOf("text") > -1) {
            if (field.value == "") {
                if ( ! $('#'+campos[i]).hasClass("erroCampo")) {
                    field.className += " erroCampo";
                }
                errors += campos[i];
                feedback = false;
            }
        } else if (type.indexOf("password") > -1) {
            if (field.value == "") {
                if ( ! $('#'+campos[i]).hasClass("erroCampo")) {
                    field.className += " erroCampo";
                }
                errors += campos[i];
                feedback = false;
            }
        } else if (type.indexOf("file") > -1) {
            if (field.value == "") {
                if ( ! $('#'+campos[i]).parent().parent().hasClass("erroCampo")) {
                    $('#'+campos[i]).parent().parent().addClass("erroCampo");
                }
                errors += campos[i];
                feedback = false;
            }
        }
    }

    if (errors.length > 0) {
        notificacao('alerta', 'Por favor, preencha os campos obrigatórios.');
    }

    return feedback;
}

function validaLogin(campos)
{
    var field = null;
    var feedback = true;
    var id = null;

    for (i = 0; i < campos.length; i++) {
        id = campos[i].campo;
        valor = campos[i].valor;
        field = document.getElementById(id);
        type = field.type;

        if (type.indexOf("textarea") > -1) {
            if ($('#'+id).hasClass("ckeditor") == true) {
                if (CKEDITOR.instances[id].getData() === '') {
                    if ( ! $('#'+id).hasClass("erroCampo")) {
                        $('#'+id).next('div').addClass("erroCampo");
                    }
                    feedback = false;
                }
            } else {
                if ($('#'+id).val() == "" || $('#'+id).val() == 0) {
                    $('#'+id).addClass("erroCampo");
                    feedback = false;
                }
            }
        } else if (type.indexOf("select") > -1) {
            if (field.value == "" || field.value == 0) {
                if ( ! $('#'+id).hasClass("erroCampo")) {
                    $('#'+id).next('a').addClass("erroCampo");
                }
                feedback = false;
            }
        } else if (type.indexOf("text") > -1) {
            if (field.value == "" || field.value == valor) {
                if ( ! $('#'+id).hasClass("erroCampo")) {
                    field.className += " erroCampo";
                }
                feedback = false;
            }
        } else if (type.indexOf("password") > -1) {
            if (field.value == "" || field.value == valor) {
                if ( ! $('#'+id).hasClass("erroCampo")) {
                    field.className += " erroCampo";
                }
                feedback = false;
            }
        } else if (type.indexOf("file") > -1) {
            if (field.value == "") {
                if ( ! $('#'+id).parent().parent().hasClass("erroCampo")) {
                    $('#'+id).parent().parent().addClass("erroCampo");
                }
                feedback = false;
            }
        }
    }

    return feedback;
}
